%define upstream_name    Path-Class-Rule
%define upstream_version 0.018

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    File finder using Path::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Path::Iterator::Rule) >= 0.2.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module iterates over files and directories to identify ones matching a
user-defined set of rules. The API is based heavily on the File::Find::Rule
manpage, but with more explicit distinction between matching rules and
options that influence how directories are searched. A 'Path::Class::Rule'
object is a collection of rules (match criteria) with methods to add
additional criteria. Options that control directory traversal are given as
arguments to the method that generates an iterator.

Here is a summary of features for comparison to other file finding modules:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.18.0-8.mga8
+ Revision: 1496419
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.18.0-7.mga7
+ Revision: 1270483
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.18.0-6.mga6
+ Revision: 1031842
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.18.0-5.mga6
+ Revision: 949179
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.18.0-4.mga5
+ Revision: 789266
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.18.0-3.mga5
+ Revision: 745888
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.18.0-2.mga5
+ Revision: 685910
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.18.0-1.mga5
+ Revision: 588553
- update to 0.018

* Fri Oct 18 2013 umeabot <umeabot> 0.13.0-3.mga4
+ Revision: 513995
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 371594
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.13.0-1.mga3
+ Revision: 342474
- update to 0.013

* Wed Nov 07 2012 jquelin <jquelin> 0.12.0-1.mga3
+ Revision: 315814
- update to 0.012

* Wed Jul 04 2012 jquelin <jquelin> 0.11.0-1.mga3
+ Revision: 267230
- imported package perl-Path-Class-Rule


* Wed Jul 04 2012 cpan2dist 0.011-1mga
- initial mageia release, generated with cpan2dist
